Bug 433345 - firstboot reconfig root password prompt disabled
firstboot reconfig root password prompt disabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-rootpassword (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-18 14:36 EST by Michael Hampton
Modified: 2009-01-09 01:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:00:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hampton 2008-02-18 14:36:18 EST
Description of problem:
When running firstboot in reconfigure mode, it is impossible to set a root
password. The root password prompt is editable, but the Confirm root password
prompt is disabled. Because of this, only a blank root password can be set.

Version-Release number of selected component (if applicable):
firstboot-1.4.39-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 8. Install updates.
2. touch /etc/reconfigSys; reboot
3. Attempt to set a root password when firstboot runs in reconfigure mode.
  
Actual results:
The first root password text field is editable, but the confirm root password
text field is disabled.

Expected results:
Both fields should be editable.

Additional info:
Comment 1 Michael Hampton 2008-02-18 14:58:18 EST
Thanks, Chris.

Looking through /usr/share/firstboot/modules/rootpassword.py it appears the code
is trying to dynamically enable and disable the confirmation field. For whatever
reason, though, after typing a password into the first field, the confirmation
field is never enabled.

It doesn't seem as though it's necessary to disable this field at all. It is not
disabled in the equivalent screen during installation, and it is not disabled in
the system-config-rootpassword GUI.
Comment 3 Bug Zapper 2008-11-26 04:51:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:00:56 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.